summaryrefslogtreecommitdiffstats
path: root/third_party/libevent/libevent.xcodeproj
diff options
context:
space:
mode:
Diffstat (limited to 'third_party/libevent/libevent.xcodeproj')
-rwxr-xr-xthird_party/libevent/libevent.xcodeproj/libevent_prebuild.sh86
-rw-r--r--third_party/libevent/libevent.xcodeproj/project.pbxproj272
2 files changed, 358 insertions, 0 deletions
diff --git a/third_party/libevent/libevent.xcodeproj/libevent_prebuild.sh b/third_party/libevent/libevent.xcodeproj/libevent_prebuild.sh
new file mode 100755
index 0000000..38c7da3
--- /dev/null
+++ b/third_party/libevent/libevent.xcodeproj/libevent_prebuild.sh
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Copyright (c) 2008 The Chromium Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+set -ex
+
+GENERATED_DIR="${CONFIGURATION_TEMP_DIR}/generated"
+
+# Generate config.h the same way that "sh configure" would
+mkdir -p "${GENERATED_DIR}"
+
+CONFIG_H="${GENERATED_DIR}/config.h"
+sed -e s/'^#undef DNS_USE_GETTIMEOFDAY_FOR_ID$'/'#define DNS_USE_GETTIMEOFDAY_FOR_ID 1'/ \
+ -e s/'^#undef HAVE_DLFCN_H$'/'#define HAVE_DLFCN_H 1'/ \
+ -e s/'^#undef HAVE_FCNTL$'/'#define HAVE_FCNTL 1'/ \
+ -e s/'^#undef HAVE_FCNTL_H$'/'#define HAVE_FCNTL_H 1'/ \
+ -e s/'^#undef HAVE_GETADDRINFO$'/'#define HAVE_GETADDRINFO 1'/ \
+ -e s/'^#undef HAVE_GETNAMEINFO$'/'#define HAVE_GETNAMEINFO 1'/ \
+ -e s/'^#undef HAVE_GETTIMEOFDAY$'/'#define HAVE_GETTIMEOFDAY 1'/ \
+ -e s/'^#undef HAVE_INET_NTOP$'/'#define HAVE_INET_NTOP 1'/ \
+ -e s/'^#undef HAVE_INTTYPES_H$'/'#define HAVE_INTTYPES_H 1'/ \
+ -e s/'^#undef HAVE_KQUEUE$'/'#define HAVE_KQUEUE 1'/ \
+ -e s/'^#undef HAVE_LIBRESOLV$'/'#define HAVE_LIBRESOLV 1'/ \
+ -e s/'^#undef HAVE_MEMORY_H$'/'#define HAVE_MEMORY_H 1'/ \
+ -e s/'^#undef HAVE_POLL$'/'#define HAVE_POLL 1'/ \
+ -e s/'^#undef HAVE_POLL_H$'/'#define HAVE_POLL_H 1'/ \
+ -e s/'^#undef HAVE_SELECT$'/'#define HAVE_SELECT 1'/ \
+ -e s/'^#undef HAVE_SETFD$'/'#define HAVE_SETFD 1'/ \
+ -e s/'^#undef HAVE_SIGACTION$'/'#define HAVE_SIGACTION 1'/ \
+ -e s/'^#undef HAVE_SIGNAL$'/'#define HAVE_SIGNAL 1'/ \
+ -e s/'^#undef HAVE_SIGNAL_H$'/'#define HAVE_SIGNAL_H 1'/ \
+ -e s/'^#undef HAVE_STDARG_H$'/'#define HAVE_STDARG_H 1'/ \
+ -e s/'^#undef HAVE_STDINT_H$'/'#define HAVE_STDINT_H 1'/ \
+ -e s/'^#undef HAVE_STDLIB_H$'/'#define HAVE_STDLIB_H 1'/ \
+ -e s/'^#undef HAVE_STRINGS_H$'/'#define HAVE_STRINGS_H 1'/ \
+ -e s/'^#undef HAVE_STRING_H$'/'#define HAVE_STRING_H 1'/ \
+ -e s/'^#undef HAVE_STRLCPY$'/'#define HAVE_STRLCPY 1'/ \
+ -e s/'^#undef HAVE_STRSEP$'/'#define HAVE_STRSEP 1'/ \
+ -e s/'^#undef HAVE_STRTOK_R$'/'#define HAVE_STRTOK_R 1'/ \
+ -e s/'^#undef HAVE_STRTOLL$'/'#define HAVE_STRTOLL 1'/ \
+ -e s/'^#undef HAVE_STRUCT_IN6_ADDR$'/'#define HAVE_STRUCT_IN6_ADDR 1'/ \
+ -e s/'^#undef HAVE_SYS_EVENT_H$'/'#define HAVE_SYS_EVENT_H 1'/ \
+ -e s/'^#undef HAVE_SYS_IOCTL_H$'/'#define HAVE_SYS_IOCTL_H 1'/ \
+ -e s/'^#undef HAVE_SYS_PARAM_H$'/'#define HAVE_SYS_PARAM_H 1'/ \
+ -e s/'^#undef HAVE_SYS_QUEUE_H$'/'#define HAVE_SYS_QUEUE_H 1'/ \
+ -e s/'^#undef HAVE_SYS_SELECT_H$'/'#define HAVE_SYS_SELECT_H 1'/ \
+ -e s/'^#undef HAVE_SYS_SOCKET_H$'/'#define HAVE_SYS_SOCKET_H 1'/ \
+ -e s/'^#undef HAVE_SYS_STAT_H$'/'#define HAVE_SYS_STAT_H 1'/ \
+ -e s/'^#undef HAVE_SYS_TIME_H$'/'#define HAVE_SYS_TIME_H 1'/ \
+ -e s/'^#undef HAVE_SYS_TYPES_H$'/'#define HAVE_SYS_TYPES_H 1'/ \
+ -e s/'^#undef HAVE_TAILQFOREACH$'/'#define HAVE_TAILQFOREACH 1'/ \
+ -e s/'^#undef HAVE_TIMERADD$'/'#define HAVE_TIMERADD 1'/ \
+ -e s/'^#undef HAVE_TIMERCLEAR$'/'#define HAVE_TIMERCLEAR 1'/ \
+ -e s/'^#undef HAVE_TIMERCMP$'/'#define HAVE_TIMERCMP 1'/ \
+ -e s/'^#undef HAVE_TIMERISSET$'/'#define HAVE_TIMERISSET 1'/ \
+ -e s/'^#undef HAVE_UINT16_T$'/'#define HAVE_UINT16_T 1'/ \
+ -e s/'^#undef HAVE_UINT32_T$'/'#define HAVE_UINT32_T 1'/ \
+ -e s/'^#undef HAVE_UINT64_T$'/'#define HAVE_UINT64_T 1'/ \
+ -e s/'^#undef HAVE_UINT8_T$'/'#define HAVE_UINT8_T 1'/ \
+ -e s/'^#undef HAVE_UNISTD_H$'/'#define HAVE_UNISTD_H 1'/ \
+ -e s/'^#undef HAVE_VASPRINTF$'/'#define HAVE_VASPRINTF 1'/ \
+ -e s/'^#undef HAVE_WORKING_KQUEUE$'/'#define HAVE_WORKING_KQUEUE 1'/ \
+ -e s/'^#undef PACKAGE$'/'#define PACKAGE "libevent"'/ \
+ -e s/'^#undef PACKAGE_BUGREPORT$'/'#define PACKAGE_BUGREPORT ""'/ \
+ -e s/'^#undef PACKAGE_NAME$'/'#define PACKAGE_NAME ""'/ \
+ -e s/'^#undef PACKAGE_STRING$'/'#define PACKAGE_STRING ""'/ \
+ -e s/'^#undef PACKAGE_TARNAME$'/'#define PACKAGE_TARNAME ""'/ \
+ -e s/'^#undef PACKAGE_VERSION$'/'#define PACKAGE_VERSION ""'/ \
+ -e s/'^#undef SIZEOF_INT$'/'#define SIZEOF_INT 4'/ \
+ -e s/'^#undef SIZEOF_LONG$'/'#define SIZEOF_LONG 4'/ \
+ -e s/'^#undef SIZEOF_LONG_LONG$'/'#define SIZEOF_LONG_LONG 8'/ \
+ -e s/'^#undef SIZEOF_SHORT$'/'#define SIZEOF_SHORT 2'/ \
+ -e s/'^#undef STDC_HEADERS$'/'#define STDC_HEADERS 1'/ \
+ -e s/'^#undef TIME_WITH_SYS_TIME$'/'#define TIME_WITH_SYS_TIME 1'/ \
+ -e s/'^#undef VERSION$'/'#define VERSION "1.4.7-stable"'/ \
+ -e s@'^\(#undef .*\)$'@'/* \1 */'@ \
+ < config.h.in \
+ > "${CONFIG_H}.new"
+
+if ! diff -q "${CONFIG_H}.new" "${CONFIG_H}" >& /dev/null ; then
+ mv "${CONFIG_H}.new" "${CONFIG_H}"
+else
+ rm "${CONFIG_H}.new"
+fi
diff --git a/third_party/libevent/libevent.xcodeproj/project.pbxproj b/third_party/libevent/libevent.xcodeproj/project.pbxproj
new file mode 100644
index 0000000..77f3b0f
--- /dev/null
+++ b/third_party/libevent/libevent.xcodeproj/project.pbxproj
@@ -0,0 +1,272 @@
+// !$*UTF8*$!
+{
+ archiveVersion = 1;
+ classes = {
+ };
+ objectVersion = 45;
+ objects = {
+
+/* Begin PBXBuildFile section */
+ 7B262E890E82E609001CE27F /* buffer.c in Sources */ = {isa = PBXBuildFile; fileRef = 7B262E600E82E5C5001CE27F /* buffer.c */; };
+ 7B262E8E0E82E609001CE27F /* evbuffer.c in Sources */ = {isa = PBXBuildFile; fileRef = 7B262E650E82E5C5001CE27F /* evbuffer.c */; };
+ 7B262E930E82E609001CE27F /* event.c in Sources */ = {isa = PBXBuildFile; fileRef = 7B262E6A0E82E5C5001CE27F /* event.c */; };
+ 7B262E950E82E609001CE27F /* event_tagging.c in Sources */ = {isa = PBXBuildFile; fileRef = 7B262E6C0E82E5C5001CE27F /* event_tagging.c */; };
+ 7B262E990E82E609001CE27F /* evrpc.c in Sources */ = {isa = PBXBuildFile; fileRef = 7B262E700E82E5C5001CE27F /* evrpc.c */; };
+ 7B262E9C0E82E609001CE27F /* evutil.c in Sources */ = {isa = PBXBuildFile; fileRef = 7B262E730E82E5C5001CE27F /* evutil.c */; };
+ 7B262E9F0E82E609001CE27F /* http.c in Sources */ = {isa = PBXBuildFile; fileRef = 7B262E760E82E5C5001CE27F /* http.c */; };
+ 7B262EA10E82E609001CE27F /* log.c in Sources */ = {isa = PBXBuildFile; fileRef = 7B262E780E82E5C5001CE27F /* log.c */; };
+ 7B262EA40E82E609001CE27F /* poll.c in Sources */ = {isa = PBXBuildFile; fileRef = 7B262E7B0E82E5C5001CE27F /* poll.c */; };
+ 7B262EA50E82E609001CE27F /* select.c in Sources */ = {isa = PBXBuildFile; fileRef = 7B262E7C0E82E5C5001CE27F /* select.c */; };
+ 7B262EA60E82E609001CE27F /* signal.c in Sources */ = {isa = PBXBuildFile; fileRef = 7B262E7D0E82E5C5001CE27F /* signal.c */; };
+ 7B262EA80E82E609001CE27F /* strlcpy.c in Sources */ = {isa = PBXBuildFile; fileRef = 7B262E7F0E82E5C5001CE27F /* strlcpy.c */; };
+ 7B262F290E82EE28001CE27F /* kqueue.c in Sources */ = {isa = PBXBuildFile; fileRef = 7B262E770E82E5C5001CE27F /* kqueue.c */; };
+ 7B262F6B0E82F11C001CE27F /* evdns.c in Sources */ = {isa = PBXBuildFile; fileRef = 7B262E660E82E5C5001CE27F /* evdns.c */; };
+/* End PBXBuildFile section */
+
+/* Begin PBXFileReference section */
+ 7B262E540E82E582001CE27F /* common.xcconfig */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = text.xcconfig; path = common.xcconfig; sourceTree = "<group>"; };
+ 7B262E550E82E582001CE27F /* debug.xcconfig */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = text.xcconfig; path = debug.xcconfig; sourceTree = "<group>"; };
+ 7B262E560E82E582001CE27F /* executable.xcconfig */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = text.xcconfig; path = executable.xcconfig; sourceTree = "<group>"; };
+ 7B262E570E82E582001CE27F /* release.xcconfig */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = text.xcconfig; path = release.xcconfig; sourceTree = "<group>"; };
+ 7B262E580E82E582001CE27F /* staticlib.xcconfig */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = text.xcconfig; path = staticlib.xcconfig; sourceTree = "<group>"; };
+ 7B262E600E82E5C5001CE27F /* buffer.c */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.c; path = buffer.c; sourceTree = "<group>"; };
+ 7B262E650E82E5C5001CE27F /* evbuffer.c */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.c; path = evbuffer.c; sourceTree = "<group>"; };
+ 7B262E660E82E5C5001CE27F /* evdns.c */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.c; path = evdns.c; sourceTree = "<group>"; };
+ 7B262E6A0E82E5C5001CE27F /* event.c */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.c; path = event.c; sourceTree = "<group>"; };
+ 7B262E6C0E82E5C5001CE27F /* event_tagging.c */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.c; path = event_tagging.c; sourceTree = "<group>"; };
+ 7B262E700E82E5C5001CE27F /* evrpc.c */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.c; path = evrpc.c; sourceTree = "<group>"; };
+ 7B262E730E82E5C5001CE27F /* evutil.c */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.c; path = evutil.c; sourceTree = "<group>"; };
+ 7B262E760E82E5C5001CE27F /* http.c */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.c; path = http.c; sourceTree = "<group>"; };
+ 7B262E770E82E5C5001CE27F /* kqueue.c */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.c; path = kqueue.c; sourceTree = "<group>"; };
+ 7B262E780E82E5C5001CE27F /* log.c */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.c; path = log.c; sourceTree = "<group>"; };
+ 7B262E7B0E82E5C5001CE27F /* poll.c */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.c; path = poll.c; sourceTree = "<group>"; };
+ 7B262E7C0E82E5C5001CE27F /* select.c */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.c; path = select.c; sourceTree = "<group>"; };
+ 7B262E7D0E82E5C5001CE27F /* signal.c */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.c; path = signal.c; sourceTree = "<group>"; };
+ 7B262E7F0E82E5C5001CE27F /* strlcpy.c */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.c; path = strlcpy.c; sourceTree = "<group>"; };
+ 7B262E840E82E5D7001CE27F /* libevent.a */ = {isa = PBXFileReference; explicitFileType = archive.ar; includeInIndex = 0; path = libevent.a; sourceTree = BUILT_PRODUCTS_DIR; };
+/* End PBXFileReference section */
+
+/* Begin PBXFrameworksBuildPhase section */
+ 7B262E820E82E5D7001CE27F /* Frameworks */ = {
+ isa = PBXFrameworksBuildPhase;
+ buildActionMask = 2147483647;
+ files = (
+ );
+ runOnlyForDeploymentPostprocessing = 0;
+ };
+/* End PBXFrameworksBuildPhase section */
+
+/* Begin PBXGroup section */
+ 7B262E400E82E538001CE27F = {
+ isa = PBXGroup;
+ children = (
+ 7B262E530E82E557001CE27F /* Configuration */,
+ 7B262E590E82E58A001CE27F /* Source */,
+ 7B262E850E82E5D7001CE27F /* Products */,
+ );
+ sourceTree = "<group>";
+ };
+ 7B262E530E82E557001CE27F /* Configuration */ = {
+ isa = PBXGroup;
+ children = (
+ 7B262E540E82E582001CE27F /* common.xcconfig */,
+ 7B262E550E82E582001CE27F /* debug.xcconfig */,
+ 7B262E560E82E582001CE27F /* executable.xcconfig */,
+ 7B262E570E82E582001CE27F /* release.xcconfig */,
+ 7B262E580E82E582001CE27F /* staticlib.xcconfig */,
+ );
+ name = Configuration;
+ path = ../../build;
+ sourceTree = "<group>";
+ };
+ 7B262E590E82E58A001CE27F /* Source */ = {
+ isa = PBXGroup;
+ children = (
+ 7B262E600E82E5C5001CE27F /* buffer.c */,
+ 7B262E650E82E5C5001CE27F /* evbuffer.c */,
+ 7B262E660E82E5C5001CE27F /* evdns.c */,
+ 7B262E6A0E82E5C5001CE27F /* event.c */,
+ 7B262E6C0E82E5C5001CE27F /* event_tagging.c */,
+ 7B262E700E82E5C5001CE27F /* evrpc.c */,
+ 7B262E730E82E5C5001CE27F /* evutil.c */,
+ 7B262E760E82E5C5001CE27F /* http.c */,
+ 7B262E770E82E5C5001CE27F /* kqueue.c */,
+ 7B262E780E82E5C5001CE27F /* log.c */,
+ 7B262E7B0E82E5C5001CE27F /* poll.c */,
+ 7B262E7C0E82E5C5001CE27F /* select.c */,
+ 7B262E7D0E82E5C5001CE27F /* signal.c */,
+ 7B262E7F0E82E5C5001CE27F /* strlcpy.c */,
+ );
+ name = Source;
+ sourceTree = "<group>";
+ };
+ 7B262E850E82E5D7001CE27F /* Products */ = {
+ isa = PBXGroup;
+ children = (
+ 7B262E840E82E5D7001CE27F /* libevent.a */,
+ );
+ name = Products;
+ sourceTree = "<group>";
+ };
+/* End PBXGroup section */
+
+/* Begin PBXNativeTarget section */
+ 7B262E830E82E5D7001CE27F /* libevent */ = {
+ isa = PBXNativeTarget;
+ buildConfigurationList = 7B262E880E82E5D7001CE27F /* Build configuration list for PBXNativeTarget "libevent" */;
+ buildPhases = (
+ 7B262EB10E82E6FD001CE27F /* Pre-Build */,
+ 7B262E810E82E5D7001CE27F /* Sources */,
+ 7B262E820E82E5D7001CE27F /* Frameworks */,
+ );
+ buildRules = (
+ );
+ dependencies = (
+ );
+ name = libevent;
+ productName = libevent;
+ productReference = 7B262E840E82E5D7001CE27F /* libevent.a */;
+ productType = "com.apple.product-type.library.static";
+ };
+/* End PBXNativeTarget section */
+
+/* Begin PBXProject section */
+ 7B262E420E82E538001CE27F /* Project object */ = {
+ isa = PBXProject;
+ buildConfigurationList = 7B262E450E82E538001CE27F /* Build configuration list for PBXProject "libevent" */;
+ compatibilityVersion = "Xcode 3.1";
+ hasScannedForEncodings = 0;
+ mainGroup = 7B262E400E82E538001CE27F;
+ productRefGroup = 7B262E850E82E5D7001CE27F /* Products */;
+ projectDirPath = "";
+ projectRoot = "";
+ targets = (
+ 7B262E830E82E5D7001CE27F /* libevent */,
+ );
+ };
+/* End PBXProject section */
+
+/* Begin PBXShellScriptBuildPhase section */
+ 7B262EB10E82E6FD001CE27F /* Pre-Build */ = {
+ isa = PBXShellScriptBuildPhase;
+ buildActionMask = 2147483647;
+ files = (
+ );
+ inputPaths = (
+ "$(SRCROOT)/config.h.in",
+ );
+ name = "Pre-Build";
+ outputPaths = (
+ "$(CONFIGURATION_TEMP_DIR)/generated/config.h",
+ );
+ runOnlyForDeploymentPostprocessing = 0;
+ shellPath = /bin/sh;
+ shellScript = "set -ex\nexec \"${PROJECT_FILE_PATH}/${PRODUCT_NAME}_prebuild.sh\" \"${@}\"\n";
+ showEnvVarsInLog = 0;
+ };
+/* End PBXShellScriptBuildPhase section */
+
+/* Begin PBXSourcesBuildPhase section */
+ 7B262E810E82E5D7001CE27F /* Sources */ = {
+ isa = PBXSourcesBuildPhase;
+ buildActionMask = 2147483647;
+ files = (
+ 7B262E890E82E609001CE27F /* buffer.c in Sources */,
+ 7B262E8E0E82E609001CE27F /* evbuffer.c in Sources */,
+ 7B262F6B0E82F11C001CE27F /* evdns.c in Sources */,
+ 7B262E930E82E609001CE27F /* event.c in Sources */,
+ 7B262E950E82E609001CE27F /* event_tagging.c in Sources */,
+ 7B262E990E82E609001CE27F /* evrpc.c in Sources */,
+ 7B262E9C0E82E609001CE27F /* evutil.c in Sources */,
+ 7B262E9F0E82E609001CE27F /* http.c in Sources */,
+ 7B262F290E82EE28001CE27F /* kqueue.c in Sources */,
+ 7B262EA10E82E609001CE27F /* log.c in Sources */,
+ 7B262EA40E82E609001CE27F /* poll.c in Sources */,
+ 7B262EA50E82E609001CE27F /* select.c in Sources */,
+ 7B262EA60E82E609001CE27F /* signal.c in Sources */,
+ 7B262EA80E82E609001CE27F /* strlcpy.c in Sources */,
+ );
+ runOnlyForDeploymentPostprocessing = 0;
+ };
+/* End PBXSourcesBuildPhase section */
+
+/* Begin XCBuildConfiguration section */
+ 7B262E430E82E538001CE27F /* Debug */ = {
+ isa = XCBuildConfiguration;
+ baseConfigurationReference = 7B262E550E82E582001CE27F /* debug.xcconfig */;
+ buildSettings = {
+ XCODEPROJ_DEPTH = ../..;
+ };
+ name = Debug;
+ };
+ 7B262E440E82E538001CE27F /* Release */ = {
+ isa = XCBuildConfiguration;
+ baseConfigurationReference = 7B262E570E82E582001CE27F /* release.xcconfig */;
+ buildSettings = {
+ XCODEPROJ_DEPTH = ../..;
+ };
+ name = Release;
+ };
+ 7B262E860E82E5D7001CE27F /* Debug */ = {
+ isa = XCBuildConfiguration;
+ baseConfigurationReference = 7B262E580E82E582001CE27F /* staticlib.xcconfig */;
+ buildSettings = {
+ EXECUTABLE_PREFIX = "";
+ GCC_PREPROCESSOR_DEFINITIONS = (
+ "$(GCC_PREPROCESSOR_DEFINITIONS)",
+ HAVE_CONFIG_H,
+ );
+ HEADER_SEARCH_PATHS = (
+ "$(HEADER_SEARCH_PATHS)",
+ "$(CONFIGURATION_TEMP_DIR)/generated",
+ "$(SRCROOT)",
+ "$(SRCROOT)/compat",
+ );
+ PRODUCT_NAME = libevent;
+ };
+ name = Debug;
+ };
+ 7B262E870E82E5D7001CE27F /* Release */ = {
+ isa = XCBuildConfiguration;
+ baseConfigurationReference = 7B262E580E82E582001CE27F /* staticlib.xcconfig */;
+ buildSettings = {
+ EXECUTABLE_PREFIX = "";
+ GCC_PREPROCESSOR_DEFINITIONS = (
+ "$(GCC_PREPROCESSOR_DEFINITIONS)",
+ HAVE_CONFIG_H,
+ );
+ HEADER_SEARCH_PATHS = (
+ "$(HEADER_SEARCH_PATHS)",
+ "$(CONFIGURATION_TEMP_DIR)/generated",
+ "$(SRCROOT)",
+ "$(SRCROOT)/compat",
+ );
+ PRODUCT_NAME = libevent;
+ };
+ name = Release;
+ };
+/* End XCBuildConfiguration section */
+
+/* Begin XCConfigurationList section */
+ 7B262E450E82E538001CE27F /* Build configuration list for PBXProject "libevent" */ = {
+ isa = XCConfigurationList;
+ buildConfigurations = (
+ 7B262E430E82E538001CE27F /* Debug */,
+ 7B262E440E82E538001CE27F /* Release */,
+ );
+ defaultConfigurationIsVisible = 0;
+ defaultConfigurationName = Release;
+ };
+ 7B262E880E82E5D7001CE27F /* Build configuration list for PBXNativeTarget "libevent" */ = {
+ isa = XCConfigurationList;
+ buildConfigurations = (
+ 7B262E860E82E5D7001CE27F /* Debug */,
+ 7B262E870E82E5D7001CE27F /* Release */,
+ );
+ defaultConfigurationIsVisible = 0;
+ defaultConfigurationName = Release;
+ };
+/* End XCConfigurationList section */
+ };
+ rootObject = 7B262E420E82E538001CE27F /* Project object */;
+}